# Type alias AsObject

AsObject: {
dispute?: Dispute.AsObject;
paymentSentMessage?: PaymentSentMessage.AsObject;
senderNodeAddress?: NodeAddress.AsObject;
type: SupportType;
uid: string;
updatedMultisigHex: string;
}

#### Type declaration

- ##### `Optional` dispute?: Dispute.AsObject

- ##### `Optional` paymentSentMessage?: PaymentSentMessage.AsObject

- ##### `Optional` senderNodeAddress?: NodeAddress.AsObject

- ##### type: SupportType

- ##### uid: string

- ##### updatedMultisigHex: string

- Defined in src/protobuf/pb_pb.d.ts:1697

Generated using TypeDoc